/* 
 * naivni implementace prace s prvocisly 
 */

/** vraci nenulovou hodnotu, pokud je n prvocislo */
unsigned int is_prime(unsigned int n)
{
	for (unsigned int i = 3; i < n - 1; i++)
		if ((n % i) == 0) return 0;
	return 1;
}

/** vraci vycet prvocisel od 1 do upto, jednotliva prvocisla uklada do pole results */
unsigned int primes(unsigned int upto, unsigned int *results)
{
	unsigned int cnt = 0;
	for (unsigned int i = 1; i <= upto; i++) {
		if (is_prime(i)) {
			results[cnt++] = i;
		}
	}
	return cnt;
}
