#include <stdio.h>
#include <stdlib.h>
#include <dlfcn.h>

#define LIB_PATH	("../myfuncs/libmyfuncs.so")

int main()
{
	void *myfuncs_lib = dlopen(LIB_PATH, RTLD_LAZY);
	if (!myfuncs_lib) {
		printf("Nepodarilo se nahrat knihovnu funkci: %s\n", LIB_PATH);
		return EXIT_FAILURE;
	}

	unsigned int (*fib)(unsigned int) = dlsym(myfuncs_lib, "fib");
	printf("Fib(30) = %i\n", fib(30));

	dlclose(myfuncs_lib);
	return EXIT_SUCCESS;
}
